Author Topic: Samba users and groups  (Read 3159 times)

Neil Waldhauer

  • Sr. Member
  • ****
  • Thank You
  • -Given: 8
  • -Receive: 31
  • Posts: 460
    • View Profile
    • Blonde Guy
Samba users and groups
« on: September 06, 2015, 03:54:52 pm »
I'm using SAMBA server 3.3, and I have a problem with users and groups.

Using SAMBA users and groups, I cannot add a user. The dialog is filled out, but when I click OK, the error is

Line 68 of PB_AddUserOK_Click in smbusers.VRM

password.nx - Crypt(VRGet('EF_passowrd', 'Value'), salt);

I look for a program named Crypt, but nothing is found.

This is also reported in trac: http://trac.netlabs.org/samba/ticket/264#ticket
The bug has been assigned to Herwig Bauernfeind
« Last Edit: September 07, 2015, 06:09:44 pm by Neil Waldhauer »
Expert consulting for ArcaOS, OS/2 and eComStation
http://www.blondeguy.com

Greggory Shaw

  • Global Moderator
  • Sr. Member
  • *****
  • Thank You
  • -Given: 39
  • -Receive: 19
  • Posts: 420
    • View Profile
Re: Samba users and groups
« Reply #1 on: September 06, 2015, 11:27:31 pm »
I'm using SAMBA server 3.3, and I have a problem with users and groups.

...

You should try:

After installing Samba 1.2.wpi server install updates:

1) updated to samba-3.5.21-1.2.0-20130911.zip
2) ftp://ftp.netlabs.org/pub/samba/server/guitools/smbmon-25RC8-20150113-test.zip


Neil Waldhauer

  • Sr. Member
  • ****
  • Thank You
  • -Given: 8
  • -Receive: 31
  • Posts: 460
    • View Profile
    • Blonde Guy
Re: Samba users and groups
« Reply #2 on: September 07, 2015, 03:35:24 pm »
You recommend backing off from the more recently released 3.3 to the older 3.5? Why?
Expert consulting for ArcaOS, OS/2 and eComStation
http://www.blondeguy.com

Greggory Shaw

  • Global Moderator
  • Sr. Member
  • *****
  • Thank You
  • -Given: 39
  • -Receive: 19
  • Posts: 420
    • View Profile
Re: Samba users and groups
« Reply #3 on: September 07, 2015, 07:03:42 pm »
You recommend backing off from the more recently released 3.3 to the older 3.5? Why?

3.5 isn't old it's dated pretty much the same as 3.3 by a month or 2 and well it works :)

 samba-3.5.21 => 20130911.zip

And here's a couple of more questions

http://www.os2world.com/forum/index.php/topic,819.msg7888.html#msg7888


Greggory
« Last Edit: September 07, 2015, 07:19:36 pm by Greggory Shaw »

Doug Bissett

  • Hero Member
  • *****
  • Thank You
  • -Given: 1
  • -Receive: 46
  • Posts: 1231
    • View Profile
Re: Samba users and groups
« Reply #4 on: September 08, 2015, 10:58:04 pm »
Samba is a horrible mess. It seems that the latest isn't, and some of them don't work properly.

I did a "mix and match", which seems to work as well as anything else that I tried (and, I tried a lot of combinations). From EVFSGUI-> Help-> About:

Code: [Select]
Samba Client Versions:[[BR]]
File system EVFS Version 1.002[[BR]]
Plugin file C:\ecs\dll\NDPSMB.dll[[BR]]
Plugin Vendor bww bitwise works GmbH.[[BR]]
Plugin Revision 2.01.1.5[[BR]]
Plugin Date/Time 3 Oct 2013 15:47:30[[BR]]
Plugin Build Machine ThinkCentre[[BR]]
Plugin Language Code en[[BR]]
Plugin File Version 2.1[[BR]]
Plugin Description NDPSMB - SMBFS NetDrive External Plugin Build GA-20131003[[BR]]
Plugin file C:\ecs\dll\InstallPackages\ndpsmb\ndpsmb.dll[[BR]]
Plugin Vendor bww bitwise works GmbH.[[BR]]
Plugin Revision 2.01.1.5[[BR]]
Plugin Date/Time 3 Oct 2013 15:47:30[[BR]]
Plugin Build Machine ThinkCentre[[BR]]
Plugin Language Code en[[BR]]
Plugin File Version 2.1[[BR]]
Plugin Description NDPSMB - SMBFS NetDrive External Plugin Build GA-20131003[[BR]]
Commandline utilities Version 3.6.23-eCS 1.3.0-868[[BR]]
EVFSGUIVersion 2.5.RC7-[2014-11-14][[BR]]

The server, that I use, is: ftp://ftp.netlabs.org/pub/samba/server/samba-1-1-4-804.wpi

From my experience, most of the problems exist in EVFSGUI. The server seems to work okay (within the limits of the OS/2 version), but EVFSGUI has a LOT of trouble with anything except a very simple SAMBA server.

Neil Waldhauer

  • Sr. Member
  • ****
  • Thank You
  • -Given: 8
  • -Receive: 31
  • Posts: 460
    • View Profile
    • Blonde Guy
Re: Samba users and groups
« Reply #5 on: September 10, 2015, 05:52:35 pm »
Herwig Bauernfeind let me know that Crypt is a part of RXCRYPT.DLL, which was not on my libpath.

I had installed the rxlib4smb.wpi from the SAMBA website, but somehow I was missing RXCRYPT.DLL. I installed it again, and Users and Groups now works as expected.
Expert consulting for ArcaOS, OS/2 and eComStation
http://www.blondeguy.com